part of ngx_core;

/// An injection token representing the application configuration.
const OpaqueToken<Map<String, Object>> configToken = OpaqueToken<Map<String, Object>>('configuration');

/// An injection token representing the application environment.
const OpaqueToken<String> envToken = OpaqueToken<String>('environment');

/// The factory function retrieving the instance of the current HTML document.
dom.HtmlDocument documentFactory() => dom.document;

/// The factory function retrieving the instance of the browser's window.
dom.Window windowFactory() => dom.window;
